# Ogre::BorderPanelOverlayElementFactory Class Reference

Factory for creating BorderPanelOverlayElement instances. More...

`#include <OgreOverlayElementFactory.h>`

Inheritance diagram for Ogre::BorderPanelOverlayElementFactory:
[legend]

List of all members.

## Public Member Functions

OverlayElement * | createOverlayElement (const String &instanceName)
| See OverlayElementFactory.
const String & | getTypeName (void) const
| See OverlayElementFactory.
virtual void | destroyOverlayElement (OverlayElement *pElement)
| Destroys a OverlayElement which this factory created previously.

## Detailed Description

Factory for creating BorderPanelOverlayElement instances.

Definition at line 84 of file OgreOverlayElementFactory.h.

## Member Function Documentation

OverlayElement* Ogre::BorderPanelOverlayElementFactory::createOverlayElement | ( | const String & | instanceName | ) | `[virtual]`

See OverlayElementFactory.

Implements Ogre::OverlayElementFactory.

Definition at line 88 of file OgreOverlayElementFactory.h.

const String& Ogre::BorderPanelOverlayElementFactory::getTypeName | ( | void |  | ) | const`[virtual]`

See OverlayElementFactory.

Implements Ogre::OverlayElementFactory.

Definition at line 93 of file OgreOverlayElementFactory.h.

virtual void Ogre::OverlayElementFactory::destroyOverlayElement | ( | OverlayElement * | pElement | ) | `[virtual, inherited]`

Destroys a OverlayElement which this factory created previously.

Definition at line 60 of file OgreOverlayElementFactory.h.

The documentation for this class was generated from the following file:

- OgreOverlayElementFactory.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:27:18 2008